import { init_sync } from './index.js';
export { init } from './index.js';
import { readFileSync } from 'node:fs';
export { ag as AlwaysPublic, W as AnnotationWithBinder, aS as ArrayDestructuringField, A as ArrayElement, t as ArrowFunction, bp as BaseSpan, b9 as BinaryAssignmentOperator, b8 as BinaryOperator, aF as Block, aG as BlockOrSingleStatement, B as BuildOutput, bq as CheckOptions, aj as ClassConstructor, aU as ClassDeclaration, ak as ClassFunction, ao as ClassMember, ap as ClassProperty, C as Comments, Z as CommonTypes, aW as ConditionalElseStatement, aH as Declaration, aC as DeclareVariableDeclaration, a3 as Decorated, a2 as Decorator, f as Diagnostic, h as DiagnosticKind, D as DiagnosticsContainer, aN as DoWhileStatement, b0 as EnumDeclaration, b1 as EnumMember, am as ExceptionVarField, aq as ExportDeclaration, as as ExportPart, ar as Exportable, E as Expression, b7 as ExpressionFunction, v as ExpressionOrBlock, m as ExpressionPosition, F as FailedBuildOutput, z as ForLoopCondition, x as ForLoopStatement, y as ForLoopStatementInitializer, k as FunctionArgument, b6 as FunctionBase, bk as FunctionBody, bh as FunctionHeader, bg as FunctionLocationModifier, ad as FunctionParameters, bj as GeneratorSpecifier, aV as IfStatement, a6 as ImportDeclaration, a7 as ImportExportName, aI as ImportLocation, a8 as ImportPart, a5 as ImportedItems, I as InExpressionLHS, bb as IncrementOrDecrement, bs as InitInput, bt as InitOutput, b2 as InterfaceDeclaration, b5 as InterfaceMember, u as IsAsync, a9 as IsExpression, an as IsStatic, aA as JSXAttribute, aw as JSXElement, ax as JSXElementChildren, ay as JSXFragment, az as JSXNode, av as JSXRoot, L as LHSOfAssignment, bi as MethodHeader, aJ as Module, M as MultipleExpression, aO as Namespace, N as NumberRepresentation, o as NumberSign, aT as ObjectDestructuringField, at as ObjectLiteral, au as ObjectLiteralMember, al as ObjectLiteralMethod, b3 as Optionality, O as Output, aa as Parameter, ab as ParameterData, s as ParseOptions, ai as PropertyKey, P as PropertyReference, ah as PublicOrPrivate, Q as Quoted, aZ as ReturnStatement, bm as SourceId, bo as Span, bn as SpanWithSource, S as SpecialOperators, ac as SpreadParameter, a4 as SpreadParameterName, aY as Statement, aD as StatementFunction, aE as StatementOrDeclaration, n as StatementPosition, af as SuperParameter, l as SuperReference, aL as SwitchBranch, aK as SwitchStatement, bu as SyncInitInput, be as TemplateLiteral, bf as TemplateLiteralPart, ae as ThisParameter, a_ as ThrowStatement, q as ToStringOptions, aB as TryCatchStatement, X as TupleElementKind, G as TypeAlias, U as TypeAnnotation, a0 as TypeAnnotationFunctionParameter, $ as TypeAnnotationFunctionParameters, a1 as TypeAnnotationSpreadFunctionParameter, T as TypeCheckOptions, Y as TypeCondition, _ as TypeConditionResult, i as TypeOrConst, H as TypeParameter, b4 as TypeRule, ba as UnaryOperator, bd as UnaryPostfixAssignmentOperator, bc as UnaryPrefixAssignmentOperator, aX as UnconditionalElseStatement, a$ as VarVariableStatement, K as VariableDeclaration, J as VariableDeclarationItem, R as VariableDeclarationKeyword, aR as VariableField, aQ as VariableIdentifier, V as VariableKeyword, w as VariableOrPropertyAccess, bl as Visibility, br as WASMCheckOutput, aM as WhileStatement, aP as WithComment, c as check, a as check_with_options, e as experimental_build, g as get_version, bv as initSync, j as just_imports, p as parse_expression, b as parse_module, d as parse_module_and_into_string, r as run_cli } from './shared/ezno.0f049423.js';

const wasmPath = new URL("./shared/ezno_lib_bg.wasm", import.meta.url);
if (wasmPath.protocol === "https:") {
  init_sync(await fetch(wasmPath).then((response) => response.arrayBuffer()));
} else {
  init_sync(readFileSync(wasmPath));
}

export { init_sync };
